# $Revision: 1.30 $, $Date: 2009/08/28 14:31:31 $
Summary:	A fast, lightweighte, non-forking HTTP server for UN*X systems
Summary(pl.UTF-8):	Szybki, nieduży, nie forkujący się serwer HTTP
Name:		mathopd
Version:	1.5
Release:	5
License:	BSD
Group:		Networking
Source0:	http://www.mathopd.org/dist/%{name}-%{version}p3.tar.gz
# Source0-md5:	6e0fea187134cb52509c2f98a8644d11
Source1:	%{name}.init
Source2:	%{name}.conf
Source3:	http://www.mathopd.org/dist/dir_cgi.c.txt
URL:		http://www.mathopd.org/
Patch0:		%{name}-getline.patch
BuildRequires:	rpmbuild(macros) >= 1.268
Requires(post,preun):	/sbin/chkconfig
Requires(postun):	/usr/sbin/groupdel
Requires(postun):	/usr/sbin/userdel
Requires(pre):	/bin/id
Requires(pre):	/usr/bin/getgid
Requires(pre):	/usr/sbin/groupadd
Requires(pre):	/usr/sbin/useradd
Requires(pre):	sh-utils
Provides:	group(http)
Provides:	user(http)
Provides:	webserver
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_datadir	/home/services/httpd

%description
Mathopd is a very small, yet very fast HTTP server for UN*X systems.
Mathopd is designed specifically to handle a large number of
connections with minimal fuss. It contains no unnecessary add-ons, but
it does the trick for most things.

%description -l pl.UTF-8
Mathopd jest bardzo małym, bardzo szybkim serwerem HTTP dla systemów
uniksowych. Jest zaprojektowany specjalnie do obsługi dużej liczby
połączeń. Nie ma niepotrzebnych dodatków, ale potrafi większość
rzeczy.

%prep
%setup -q -n %{name}-%{version}p3
%patch0 -p1

cp -f %{SOURCE3}  dir_cgi.c

%build
CFLAGS="%{rpmcflags}"; export CFLAGS
%{__cc} %{rpmcflags} %{rpmldflags} -o mathopd-dir_cgi dir_cgi.c

cd src
%{__make} CC="%{__cc}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/cgi-bin \
	$RPM_BUILD_ROOT/etc/rc.d/init.d \
	$RPM_BUILD_ROOT{%{_sbindir},%{_var}/log/mathopd}

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/mathopd
install %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}
install src/mathopd $RPM_BUILD_ROOT%{_sbindir}
install mathopd-dir_cgi $RPM_BUILD_ROOT%{_sbindir}

%clean
rm -rf $RPM_BUILD_ROOT

%pre
%groupadd -g 51 -r -f http
%useradd -u 51 -r -d %{_datadir} -s /bin/false -c "HTTP User" -g http http

%post
/sbin/chkconfig --add %{name}
%service mathopd restart "%{name} HTTP daemon"

%preun
if [ "$1" = "0" ]; then
	%service mathopd stop
	/sbin/chkconfig --del %{name}
fi

%postun
if [ "$1" = "0" ]; then
	%userremove http
	%groupremove http
fi

%files
%defattr(644,root,root,755)
%doc [A-Z]* doc/*
%attr(755,root,root) %{_sbindir}/mathopd*
%attr(755,http,http) %{_datadir}
%attr(754,root,root) /etc/rc.d/init.d/mathopd
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/mathopd.conf
%attr(750,http,http) %dir %{_var}/log/mathopd

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: mathopd.spec,v $
Revision 1.30  2009/08/28 14:31:31  cactus
- rel 5; with getline patch

Revision 1.29  2007/02/13 06:46:53  glen
- tabs in preamble

Revision 1.28  2007/02/12 00:49:07  baggins
- converted to UTF-8

Revision 1.27  2006/09/08 18:03:48  glen
- rel 4 (rebuild with fixed %useradd/%groupadd macros)

Revision 1.26  2006/04/15 13:01:31  glen
- use %service, rel 3

Revision 1.25  2006/03/07 08:44:03  glen
- rel 2

Revision 1.24  2006/03/07 08:01:16  glen
- drop Provides: httpd

Revision 1.23  2005/12/13 13:58:51  glen
- adapterized (sorted %verify attrs)

Revision 1.22  2005/05/01 17:31:30  glen
- use %useradd/%groupadd macros

Revision 1.21  2004/10/29 09:47:13  paladine
- fixed %post info about starting the daemon

Revision 1.20  2004/08/21 14:04:30  areq
- add dir_cgi.c - emits an HTML listing of the current directory

Revision 1.19  2004/08/21 12:35:05  areq
- 1.5p3

Revision 1.18  2004/08/20 21:33:11  ankry
- use %userremove/%groupremove, some cosmetics

Revision 1.17  2003/08/22 15:23:36  qboosh
- noreplace and verify flags for config

Revision 1.16  2003/08/22 15:01:54  ankry
- attributr fix

Revision 1.15  2003/08/13 14:26:10  ankry
- -> /home/services
- permission fix

Revision 1.14  2003/08/12 22:32:49  ankry
- cosmetics

Revision 1.13  2003/05/28 12:59:42  malekith
- massive attack: source-md5

Revision 1.12  2003/05/25 05:50:28  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.11  2003/05/17 07:07:39  pascalek
- revert user changes

Revision 1.10  2003/05/10 11:28:56  pascalek
- Req user-http

Revision 1.9  2003/01/15 18:01:58  radek
- version 1.4-gamma

Revision 1.8  2002/08/17 21:02:32  qboosh
- better messages in pre, more Requires(), release 2

Revision 1.7  2002/07/31 08:12:29  kloczek
- cleanups.

Revision 1.6  2002/05/21 18:58:19  areq
- 1.4b20, STBR

Revision 1.5  2002/04/02 19:07:37  alchemyx
- changed prio of initscripts from 99 to 95 so it boots before gdm
- release 2

Revision 1.4  2002/02/22 23:29:15  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.3  2002/01/18 02:13:48  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.2  2001/12/31 09:13:06  qboosh
- fixes in pl translations

Revision 1.1  2001/12/30 18:10:31  areq
- init PLD spec
